import React from 'react'
import { Query } from 'react-apollo'
import { H1 } from '@pubsweet/ui'
// import { th } from '@pubsweet/ui-toolkit'
// import styled from 'styled-components'
import { Page, Loading, LoadingIcon } from '../ui'
import { QUERY_ACTIVITY_INFO } from './operations'
import SubmissionHeader from '../SubmissionHeader'
import ActivityDetails from './ActivityDetails'
import QuickView from './QuickView'

const ActivityPage = props => (
  <Page>
    <H1>Manuscript activity</H1>
    <QuickView {...props} />
    <ActivityDetails {...props} />
  </Page>
)

const ActivityPageWithHeader = SubmissionHeader(ActivityPage)

const ActivityPageContainer = ({ match, ...props }) => (
  <Query query={QUERY_ACTIVITY_INFO} variables={{ id: match.params.id }}>
    {({ data, loading }) => {
      if (loading || !data || !data.activities) {
        return (
          <Loading>
            <LoadingIcon />
          </Loading>
        )
      }

      return (
        <ActivityPageWithHeader
          manuscript={data.activities}
          match={match}
          {...props}
        />
      )
    }}
  </Query>
)

export default ActivityPageContainer
