import gql from 'graphql-tag'

export const QUERY_ACTIVITY_INFO = gql`
  query QueryActivitiesByManuscriptId($id: ID!) {
    activities: epmc_queryActivitiesByManuscriptId(id: $id) {
      id
      meta {
        title
      }
      status
      claimedBy {
        givenNames
        surname
      }
      audits {
        id
        created
        updated
        user {
          id
          title
          givenNames
          surname
          identities {
            email
          }
        }
        action
        originalData
        changes
        objectType
        objectId
        manuscriptId
      }
      journal {
        id
        journalTitle
      }
      teams {
        role
        teamMembers {
          user {
            id
          }
          alias {
            name {
              title
              surname
              givenNames
            }
          }
        }
      }
    }
  }
`
