import React from 'react'
import { Query } from 'react-apollo'
import { METRICS } from './operations'
import { Loading, LoadingIcon, Table } from '../ui'
import DashboardBase from './DashboardBase'

const Metrics = ({ currentUser }) => (
  <Query fetchPolicy="cache-and-network" query={METRICS}>
    {({ data, loading }) => {
      if (loading) {
        return (
          <Loading>
            <LoadingIcon />
          </Loading>
        )
      }

      // console.log(data)
      const fakeData = [
        {
          date: '03/01/2019',
          n1: '1',
          n2: '2',
          n3: '3',
          n4: '4',
          n5: '5',
          n6: '6',
        },
        {
          date: '02/01/2019',
          n1: '1',
          n2: '2',
          n3: '3',
          n4: '4',
          n5: '5',
          n6: '6',
        },
        {
          date: '01/01/2019',
          n1: '1',
          n2: '2',
          n3: '3',
          n4: '4',
          n5: '5',
          n6: '6',
        },
      ]

      return (
        <Table>
          <tbody>
            <tr>
              <th>Date</th>
              <th>N1</th>
              <th>N2</th>
              <th>N3</th>
              <th>N4</th>
              <th>N5</th>
              <th>N6</th>
            </tr>
            {fakeData.map((entry, index) => (
              <tr key={entry.date}>
                {Object.values(entry).map(val => (
                  <td key={val}>{val}</td>
                ))}
              </tr>
            ))}
          </tbody>
        </Table>
      )
    }}
  </Query>
)

const MetricsPage = DashboardBase(Metrics)

export default MetricsPage
