import React from 'react'
import ReactHtmlParser from 'react-html-parser'
import MathJax from 'react-mathjax-preview'
import CssModules from 'react-css-modules'
import styles from '../../assets/epmc_new_plus.scss'

const HTMLPreview = ({ html }) => (
  <div id="html-preview">
    {ReactHtmlParser(html, {
      transform: function transform(node, index) {
        if (
          node.type === 'tag' &&
          node.name === 'span' &&
          node.attribs.class === 'f mathjax mml-math'
        ) {
          return <MathJax key={node.attribs.id} math={node.children[0].data} />
        }
      },
    })}
  </div>
)

export default CssModules(HTMLPreview, styles)
