import styled from 'styled-components'
import { th, override, darken } from '@pubsweet/ui-toolkit'

const Page = styled.div`
  margin: 0 auto;
  max-width: 1000px;
  padding: 0 calc(${th('gridUnit')} * 4) calc(${th('gridUnit')} * 4);
`
const Header = styled.div`
  display: flex;
  align-items: center;
  justify-content: start;
`
const Center = styled.div`
  display: flex;
  flex-flow: column wrap;
  align-items: center;
  justify-content: center;
`
const Right = styled.div`
  display: flex;
  flex-flow: column wrap;
  align-items: center;
  justify-content: flex-end;
`
const A = styled.a`
  ${override('ui.Link')};
`
const B = styled.strong`
  font-weight: 600;
`
const Table = styled.table`
  max-width: 100%;
  padding: 0;
  margin: 0;
  border-spacing: 0;
  background-color: ${th('colorTextReverse')};
  border-collapse: collapse;
  td,
  th {
    text-align: left;
    padding: ${th('gridUnit')};
    border: ${th('borderWidth')} ${th('borderStyle')} ${th('colorBorder')};
  }
  th {
    background-color: ${darken('colorBackgroundHue', 7)};
    font-weight: 600;
  }
  tr:nth-child(odd) {
    background-color: ${th('colorBackgroundHue')};
  }
  @media screen and (max-width: 870px) {
    td {
      hyphens: auto;
    }
  }
`
export { Page, Header, Center, Right, A, B, Table }
