export const ManuscriptTypes = [
  'application/vnd.openxmlformats-officedocument.wordprocessingml.document',
  'application/msword',
  'application/pdf',
]

export const FileTypes = [
  'application/vnd.openxmlformats-officedocument.wordprocessingml.document', // docx
  'application/rtf',
  'application/msword',
  'application/pdf',
  'application/xml',
  'application/zip',
  'application/rtf',
  'application/ogg',
  'application/postscript', // ai, eps
  'application/vnd.oasis.opendocument.text',
  'application/vnd.oasis.opendocument.presentation',
  'application/vnd.oasis.opendocument.spreadsheet',
  'application/vnd.ms-powerpoint',
  'application/vnd.openxmlformats-officedocument.presentationml.presentation',
  'application/vnd.ms-excel',
  'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet',

  'audio/midi',
  'audio/wav',

  'chemical/x-cif', // cif

  'image/png',
  'image/jpeg',
  'image/bmp',
  'image/gif',
  'image/svg+xml',

  'text/csv',
  'text/rtf',
  'text/plain',
  'text/rtf',

  'video/mpeg',
  'video/ogg',
  'video/quicktime', // mov
  'video/mp4',
  'video/x-flv', // flv
  'video/x-matroska', // mkv
  'video/x-ms-asf', // wmv
  'video/x-msvideo', // avi
]

export const XMLTypes = [
  'application/xml',
  'text/html',
  'text/xml',
  'application/xhtml+xml',
  'text/xsl',
]

export const SubmissionTypes = [
  {
    label: '',
    value: '',
  },
  {
    label: 'figure',
    value: 'figure',
  },
  {
    label: 'table',
    value: 'table',
  },
  {
    label: 'supplementary file',
    value: 'supplement',
  },
]

export const ReviewTypes = [
  {
    label: '',
    value: '',
  },
  {
    label: 'Supplementary file',
    value: 'supplementary file',
  },
  {
    label: 'Movie in text',
    value: 'movie_in_text',
  },
  {
    label: 'Movie figure',
    value: 'movie_figure',
  },
  {
    label: 'PMC XML from tagger',
    value: 'PMC',
  },
  {
    label: 'Supplementary file from tagger',
    value: 'supplement_tag',
  },
  {
    label: 'PMCfinal XML',
    value: 'PMCfinal',
  },
  {
    label: 'PMC PDF (for pmc-load)',
    value: 'pdf4load',
  },
  {
    label: 'PMC PDF (generated)',
    value: 'pdf4print',
  },
  {
    label: 'Thumbnail Image (GIF)',
    value: 'IMGsmall',
  },
  {
    label: 'Fullscreen Image (JPG)',
    value: 'IMGview',
  },
  {
    label: 'Printsize Image (TIF)',
    value: 'IMGprint',
  },
  {
    label: 'Web Preview',
    value: 'tempHTML',
  },
]
