import React from 'react'
import { Route, Switch } from 'react-router-dom'
import { H1, Link } from '@pubsweet/ui'
import { InfoPanel, SplitPage, StepPanel } from '../ui'
import { AllowedFiles, SubmitManuscript } from './user-guide-pages/'

const UserGuideList = () => (
  <ul>
    <li>
      <Link to="/user-guide/submitmanuscript">
        Submitting a manuscript to Europe PMC
      </Link>
    </li>
    <li>
      <Link to="/user-guide/allowedfiles">Acceptable file types</Link>
    </li>
  </ul>
)

const UserGuidePageContent = () => (
  <div>
    <H1>User guide pages</H1>
    <UserGuideList />
  </div>
)

const UserGuidePage = ({ children }) => (
  <SplitPage>
    <StepPanel>
      <Switch>
        <Route
          component={SubmitManuscript}
          path="/user-guide/submitmanuscript"
        />
        <Route component={AllowedFiles} path="/user-guide/allowedfiles" />
        <Route component={UserGuidePageContent} path="/user-guide" />
      </Switch>
    </StepPanel>
    <InfoPanel>
      <div>
        <UserGuideList />
      </div>
    </InfoPanel>
  </SplitPage>
)

export default UserGuidePage
