const newReviewerTemplate = (salutation, title, submitter, link) => `
  <h1 style="font-weight:600;">Review manuscript submission</h1>
  <p>Dear ${salutation},</p>
  <p>A manuscript, <b>${title}</b>, was submitted to Europe PMC on your behalf by ${submitter}.</p>
  <p>You have been made the reviewer of this manuscript, which means you are responsible for ensuring the content of the submission is correct and for approving the final web version.</p>
  <p>Please <a style="color:#20699C" href="${link}">log in to or create</a> a Europe PMC account to claim this manuscript for review.</p>
  <p>Kind regards,</p>
  <p>The Europe PMC plus system</p>
`

const setReviewerTemplate = (salutation, title, submitter, link) => `
  <h1 style="font-weight:600;">Review manuscript submission</h1>
  <p>Dear ${salutation},</p>
  <p>A manuscript, <b>${title}</b>, was submitted to Europe PMC on your behalf by ${submitter}.</p>
  <p>You have been made the reviewer of this manuscript, which means you are responsible for ensuring the content of the submission is correct and for approving the final web version.</p>
  <p>Please visit the following link to log in to your account and review the submission:<br/><a style="color:#20699C" href="${link}">${link}</a></p>
  <p>Kind regards,</p>
  <p>The Europe PMC plus system</p>
`

const checkReviewerTemplate = (salutation, title, submitter, link) => `
  <h1 style="font-weight:600;">Review manuscript submission</h1>
  <p>Dear ${salutation},</p>
  <p>${submitter}, the submitter of the manuscript submitted on your behalf, <b>${title}</b>, has addressed errors with the submission.</p>
  <p>Please visit the following link to log in to your account and review the corrected submission:<br/><a style="color:#20699C" href="${link}">${link}</a></p>
  <p>Kind regards,</p>
  <p>The Europe PMC plus system</p>
`

module.exports = {
  newReviewerTemplate,
  setReviewerTemplate,
  checkReviewerTemplate,
}
