const rfr = require('rfr')
const config = require('config')

const Identity = rfr('server/xpub-model/entities/identity/data-access')
const ftpUsers = config.get('users')

module.exports = function getUser(rootPath, filename) {
  return new Promise((resolve, reject) => {
    // const userName = path.basename(path.dirname(filename))
    const rootParts = rootPath.split('/')
    const fileNameParts = filename.split('/')
    const userName = fileNameParts[rootParts.length - 1]

    Identity.findByFieldEager(
      'email',
      `${userName}@internal.ebi.ac.uk`,
      '[user]',
    )
      .then(identityDb => {
        const user = ftpUsers.find(user =>
          user.identities.find(
            identity => identity.email === `${userName}@internal.ebi.ac.uk`,
          ),
        )
        const identity = user.identities.find(
          identity => identity.email === `${userName}@internal.ebi.ac.uk`,
        )
        /* eslint-disable dot-notation */
        identity['userId'] = identityDb[0].userId
        resolve(identity)
      })
      .catch(error => reject(error))
  })
}
