const lodash = require('lodash')
const Annotation = require('./data-access')

const empty = {
  open: false,
  comments: {},
  recommendation: '',
}

const AnnotationManager = {
  find: Annotation.selectById,
  findByReviewId: Annotation.selectByReviewId,
  delete: Annotation.delete,
  deleteByReviewId: Annotation.deleteByReviewId,
  new: (props = {}) => lodash.merge({}, empty, props),
  save: async annotation => {
    let { id } = annotation
    if (annotation.id) {
      const updated = await Annotation.update(annotation)
      if (!updated) {
        throw new Error('Annotation not found')
      }
    } else {
      id = await Annotation.insert(annotation)
    }

    return { ...annotation, id }
  },
  modelName: 'Annotation',

  model: Annotation,
}

module.exports = AnnotationManager
