const lodash = require('lodash')
const Review = require('./data-access')

const empty = {
  open: false,
  comments: {},
  recommendation: '',
}

const ReviewManager = {
  find: Review.selectById,
  findByManuscriptId: Review.selectByManuscriptId,
  delete: Review.delete,
  deleteByManuscriptId: Review.deleteByManuscriptId,
  new: (props = {}) => lodash.merge({}, empty, props),
  save: async (review, userId) => {
    let { id } = review
    if (review.id) {
      const updated = await Review.update(review, userId)
      if (!updated) {
        throw new Error('Review not found')
      }
    } else {
      id = await Review.insert(review, userId)
    }

    return { ...review, id }
  },
  modelName: 'Review',

  model: Review,
}

module.exports = ReviewManager
