const logger = require('@pubsweet/logger')
const config = require('config')
const uploadFiles = require('./uploadFiles')
const rfr = require('rfr')

const FileManager = rfr('server/xpub-model/entities/file')

async function replaceManuscriptFile(_, { id, fileId, files }, { user }) {
  const deletedFile = await FileManager.deleteById(fileId, user)
  logger.info('deletedFile: ', deletedFile)

  return uploadFiles(
    _,
    { id, files, type: config.file.type.manuscript },
    { user },
  )
}

module.exports = replaceManuscriptFile
