const logger = require('@pubsweet/logger')
const rfr = require('rfr')

const FileModel = rfr('server/xpub-model/entities/file/data-access')

async function updateFile(_, { id, type, label }, { user }) {
  if (!id || (type === undefined && label === undefined)) {
    return false
  }

  const props = { id, updatedBy: user }
  type !== undefined && (props.type = type)
  label !== undefined && (props.label = label)

  const file = new FileModel(props)
  const updatedFile = await file.save()
  logger.debug('updated: ', updatedFile)
  return true
}

module.exports = updateFile
